#define USB_CFG_DEVICE_NAME     'D','i','g','i','L','a','w','n'
#define USB_CFG_DEVICE_NAME_LEN 8
#include <DigiCDC.h>

unsigned long previousMillis;

void setup() {
  // initialize the digital pin as an output.
  SerialUSB.begin();
  pinMode(0, INPUT_PULLUP);
  pinMode(1, OUTPUT);
  pinMode(2, INPUT_PULLUP);
  pinMode(5, INPUT_PULLUP);
  previousMillis=0;
  
}

// the loop routine runs over and over again forever:
void loop() {
  char One[]="1";
  if (SerialUSB)
  {
    if (SerialUSB.available()) 
    {
      char myReadStr=SerialUSB.read();
      if (myReadStr!=' ')
      {
        char myOutStr[]="d000ing great";         
        if (digitalRead(0)==0) 
        {
          myOutStr[1]=One[0];
        }      
        if (digitalRead(2)==0) 
        {
          myOutStr[2]=One[0];
        } 
        if (digitalRead(5)==0) 
        {
          myOutStr[3]=One[0];
        }
        
        SerialUSB.write(myOutStr);
        SerialUSB.write('\r');
        SerialUSB.write('\n');
        /*SerialUSB.write(myReadStr);
        SerialUSB.write('\n');
        SerialUSB.write('\r');
        */
      }
    }
  }
  else
  {    
    digitalWrite(1, HIGH);
    delay(500);
    digitalWrite(1, LOW);
    delay(500);
    digitalWrite(1, HIGH);
    delay(500);
    digitalWrite(1, LOW);
    delay(500);
    digitalWrite(1, HIGH);
    delay(500);
    digitalWrite(1, LOW);
    SerialUSB.end();
    delay(500);
    SerialUSB.begin(); 
  }
  //Make sure usb is ok
  SerialUSB.refresh();
  //Flipflop the output
  if (previousMillis+1500<millis())
  {
    if (digitalRead(1)==0)
    {
      digitalWrite(1, HIGH);    
    }
    else
    {
      digitalWrite(1, LOW);    
    }
    previousMillis=millis();
  }
  
 
  
  /*
    if you don't call a SerialUSB function (write, print, read, available, etc)
    every 10ms or less then you must throw in some SerialUSB.refresh();
    for the USB to keep alive - also replace your delays - ie. delay(100);
    with SerialUSB.delays ie. SerialUSB.delay(100);
  */
  
}
